Overwatch über Lutris


#1

Hi,

Ich versuche Overwatch über Lutris zu installieren. So richtig klappen will es aber nicht :neutral_face:

Ich nutze eine NVIDIA 1080ti mit den prop. Treibern.

Aber schon beim installieren der Abhängigkeiten stoße ich auf Fehler. Vor allem bei Wine. Wenn ich den Lutris Installer ausführe kommt irgendwann eine Fehlermeldung „Wine-Mono“ wurde nicht gefunden. Genauso bei Wine-Gecko?!?

Wine bietet mir auch an Mono und Gecko herunterzuladen, aber wenn ich das ausführe sagt er mir die Signatur wäre falsch…

Ein manuelles installieren klappt. Trotz alledem meckert Wine dann dass es keine Mono/Gecko findet…

Kann mir hier einer helfen?
Danke.


#2

Hi,

führe mal im Terminal folgenden Befehl aus

sudo pacman -Syy

Danach versuche eine erneute Installation von Wine.

Grüße
genista


#3

Hi,

bringt leider auch nichts…
Ich verstehe es einfach nicht, ich schaffe doch alle Vorraussetzungen!? :thinking:

Schritt 1: Wine und Abhängigkeiten installieren

sudo pacman -Sy wine-staging giflib lib32-giflib libpng lib32-libpng libldap lib32-libldap gnutls lib32-gnutls mpg123 lib32-mpg123 openal lib32-openal v4l-utils lib32-v4l-utils libpulse lib32-libpulse libgpg-error lib32-libgpg-error alsa-plugins lib32-alsa-plugins alsa-lib lib32-alsa-lib libjpeg-turbo lib32-libjpeg-turbo sqlite lib32-sqlite libxcomposite lib32-libxcomposite libxinerama lib32-libxinerama ncurses lib32-ncurses opencl-icd-loader lib32-opencl-icd-loader libxslt lib32-libxslt libva lib32-libva gtk3 lib32-gtk3 gst-plugins-base-libs lib32-gst-plugins-base-libs vulkan-icd-loader lib32-vulkan-icd-loader cups samba

Schritt 2: Nvidia Sachen installieren

sudo pacman -Sy nvidia nvidia-utils lib32-nvidia-utils nvidia-settings

Schritt 3: Vulkan installieren

sudo pacman -S vulkan-icd-loader lib32-vulkan-icd-loader

Schritt 4: Battle.Net Abhängigkeiten installieren

lib32-gnutls lib32-libldap lib32-libgpg-error lib32-sqlite lib32-libpulse

Schritt 5: Lutris installieren

sudo pacman -Syu lutris

Schritt 6: Über die Lutris Website, Overwatch installieren

Ergebnis:

Wine konnte das Mono Paket nicht finden…


#4

Hallo Phreeeak,

Ja,da installiere ihm doch einfach mal das Mono-Paket
sudo pacman wine-mono

viele Grüße gosia


#5

Das war ja das Problem. Ich konnte es nicht installieren…
Nun habe ich gefunden woran es lag… Oh man :roll_eyes:
Ich der Firewall hatte ich msi als verbotene Dateierweiterung hinterlegt.

Wenn der Installer mal ne Fehlermeldung wie “Kann paket nicht downloaden” ausgespuckt hätte und nicht “Signatur falsch” wäre ich auch früher drauf gekommen.

Sachen gibt’s :joy:

Edit:

So nun ist alles installiert. Ich kann mich in Battle.net einloggen und Overwatch ist installiert.
Wenn ich nun Overwatch starte passiert mit der Einstellung:
Proton Beta 3.16 -> nichts und mit der Einstellung System (4.0-rc5 (Staging)) -> Allgemeiner Fehler (0XE0010160)

Hat hier noch jemand einen Rat?

Danke.

Edit2: Endlich! sudo pacman -R lib32-vulkan-intel vulkan-intel hat es gefixt!


#6

Proton Beta 3.16 ist das nicht Steam Play? Ich würde gerne auch Overwatch spielen.


#7

Ja, darüber läuft es wahrscheinlich auch irgendwie. Allerdings ist die Kombi Wine-Staging, Lutris und DXVK schon recht nice.

OW läuft echt gut! Hätte ich nicht gedacht. Mein 21:9 Monitor macht etwas zicken aber sonst… tip top


#8

Gut zu wissen, aber ich warte jetzt noch lieber bis das neue Lutris in Stable landet. Ich hab auch Diablo 3 und das soll mit der neueren Version weniger Probleme machen. Apex Legends ist auch schon in der Datenbank, und soll angeblich auch schon funktionieren:star_struck: